declare function Button({ text, size, type, contentSlot, formType, loading, disabled, events, className, style, id, }: {
    text?: string;
    size?: string;
    type?: string;
    contentSlot: any;
    formType: any;
    loading?: boolean;
    disabled?: boolean;
    events?: {};
    className: any;
    style: any;
    id: any;
}): JSX.Element;
declare namespace Button {
    namespace propTypes {
        const text: PropTypes.Requireable<string>;
        const type: PropTypes.Requireable<string>;
        const size: PropTypes.Requireable<string>;
        const disabled: PropTypes.Requireable<boolean>;
        const loading: PropTypes.Requireable<boolean>;
        const events: PropTypes.Requireable<{
            [x: string]: (...args: any[]) => any;
        }>;
        const formType: PropTypes.Requireable<string>;
        const className: PropTypes.Requireable<string>;
        const contentSlot: PropTypes.Requireable<string>;
        const style: PropTypes.Requireable<object>;
        const id: PropTypes.Requireable<string>;
    }
    namespace defaultProps {
        const type_1: string;
        export { type_1 as type };
        const size_1: string;
        export { size_1 as size };
    }
}
export default Button;
import * as PropTypes from "prop-types";
