import { __assign, __rest } from "tslib";
import * as React from 'react';
import { Modal, Button } from 'tea-component';
import classNames from '../../utils/classnames';
export default function WeDaModal(_props) {
    var className = _props.className, content = _props.content, visible = _props.visible, customButton = _props.customButton, customContent = _props.customContent, isDefaultButton = _props.isDefaultButton, emit = _props.emit, props = __rest(_props, ["className", "content", "visible", "customButton", "customContent", "isDefaultButton", "emit"]);
    return (React.createElement(Modal, __assign({ className: classNames('weda-ui', 'lcap-modal', 'container', className), visible: visible, onClose: function () {
            emit('close');
        } }, props),
        React.createElement(Modal.Body, null, content ? content : customContent),
        React.createElement(Modal.Footer, null, isDefaultButton ? (React.createElement(Button, { type: "primary", onClick: function () {
                emit('confirm');
                // events.confirm();
            } }, "\u786E\u5B9A")) : (customButton))));
}
//# sourceMappingURL=index.js.map