declare function ScrollView({ id, scrollY, scrollX, style, scrollTop, scrollLeft, scrollIntoView, className, children, upperThreshold, lowerThreshold, domRef, events, }: {
    id: any;
    scrollY: any;
    scrollX: any;
    style: any;
    scrollTop: any;
    scrollLeft: any;
    scrollIntoView: any;
    className: any;
    children: any;
    upperThreshold?: number;
    lowerThreshold?: number;
    domRef: any;
    events: any;
}): JSX.Element;
declare namespace ScrollView {
    namespace propTypes {
        const scrollX: PropTypes.Requireable<boolean>;
        const scrollY: PropTypes.Requireable<boolean>;
        const scrollTop: PropTypes.Requireable<number>;
        const scrollLeft: PropTypes.Requireable<number>;
        const scrollIntoView: PropTypes.Requireable<string>;
        const upperThreshold: PropTypes.Requireable<number>;
        const lowerThreshold: PropTypes.Requireable<number>;
        const domRef: PropTypes.Requireable<any>;
        const children: PropTypes.Requireable<any>;
        const id: PropTypes.Requireable<string>;
        const className: PropTypes.Requireable<string>;
        const style: PropTypes.Requireable<string>;
        const events: PropTypes.Requireable<{
            [x: string]: (...args: any[]) => any;
        }>;
    }
    namespace defaultProps {
        const scrollX_1: boolean;
        export { scrollX_1 as scrollX };
        const scrollY_1: boolean;
        export { scrollY_1 as scrollY };
        const upperThreshold_1: number;
        export { upperThreshold_1 as upperThreshold };
        const lowerThreshold_1: number;
        export { lowerThreshold_1 as lowerThreshold };
        const events_1: {};
        export { events_1 as events };
    }
}
export default ScrollView;
import * as PropTypes from "prop-types";
